# has-own-deep [![NPM version](https://badge.fury.io/js/has-own-deep.svg)](http://badge.fury.io/js/has-own-deep)  [![Build Status](https://travis-ci.org/jonschlinkert/has-own-deep.svg)](https://travis-ci.org/jonschlinkert/has-own-deep) 

> Returns true if an object has an own, nested property using dot notation paths ('a.b.c').

## Install with [npm](npmjs.org)

```bash
npm i has-own-deep --save
```

## Usage

```js
var hasOwnDeep = require('has-own-deep');

hasOwnDeep({});
//=> false
hasOwnDeep({a: 'b'}, 'a');
//=> true

var obj = {a: {b: {c: 'd'}}};
hasOwnDeep(obj, 'a');
//=> true
hasOwnDeep(obj, 'a.b');
//=> true
hasOwnDeep(obj, 'a.b.c');
//=> true


hasOwnDeep(obj, 'c');
//=> false
hasOwnDeep(obj, 'a.c');
//=> false
hasOwnDeep(obj, 'a.b.d');
//=> false
```

## Related projects
 * [set-value](https://github.com/jonschlinkert/set-value): Create nested values and any intermediaries using dot notation (`'a.b.c'`) paths.
 * [get-value](https://github.com/jonschlinkert/get-value): Use property paths (`a.b.c`) get a nested value from an object.
 * [has-value](https://github.com/jonschlinkert/has-value): Returns true if a value exists, false if empty. Works with deeply nested values using object paths.
 * [has-any](https://github.com/jonschlinkert/has-any): Returns true if an object has any of the specified keys.
 * [has-any-deep](https://github.com/jonschlinkert/has-any-deep): Return true if `key` exists deeply on the given object. 
 * [any](https://github.com/jonschlinkert/any): Returns `true` if a value exists in the given string, array or object.  

## Running tests
Install dev dependencies:

```bash
npm i -d && npm test
```

## Contributing
Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](https://github.com/jonschlinkert/has-own-deep/issues)

## Author

**Jon Schlinkert**

+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert) 

## License
Copyright (c) 2015 Jon Schlinkert  
Released under the MIT license

***

_This file was generated by [verb-cli](https://github.com/assemble/verb-cli) on April 03, 2015._
